<?php
require_once "modelo/Router.php";
$router = new Router();
$router->post('/clientes', function () {
    require_once "controle/Cliente_cadastrar.php";
});
$router->get('/clientes', function () {
    require_once "controle/Cliente_listar.php"; 
});
$router->get('/clientes/(\w+)', function ($idCliente) {
    require_once "controle/Cliente_buscar.php";
});
$router->put('/clientes/(\w+)', function ($idCliente) {
    require_once "controle/Cliente_atualizar.php";
});
$router->delete('/clientes/(\w+)', function ($idCliente) {
    require_once "controle/Cliente_excluir.php";
});
$router->run();